ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
pcm_mmap_emul.c File Reference
PCM Interface » PCM Plugins

PCM Mmap-Emulation Plugin Interface. More...

## Functions
int | _snd_pcm_mmap_emul_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new mmap_emul PCM.

## Detailed Description

PCM Mmap-Emulation Plugin Interface.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2007

## Function Documentation

## ◆ _snd_pcm_mmap_emul_open()

int _snd_pcm_mmap_emul_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode )

Creates a new mmap_emul PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with hw PCM description
  stream | PCM Stream
  mode | PCM Mode

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.